package com.skr.mdm.api.company.service;

import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;
import com.skr.mdm.bean.qo.CompanyQO;

/**
 * @author nfq
 * @date 2020/9/16 10:43
 */
public interface CompanyService {

   /**
    * 创建公司
    * @param companyQO
    * @return
    */
   ResponseResult addCompany(CompanyQO companyQO);

   /**
    * 公司列表
    * @param pageNum
    * @param pageSize
    * @param searchType
    * @param searchValue
    * @return
    */
   ResponseResult listCompany(Integer pageNum, Integer pageSize, Integer searchType, String searchValue);

   /**
    * 修改公司信息
    * @param companyQO
    * @return
    */
   ResponseResult updateCompany(CompanyQO companyQO);

   /**
    * 删除公司
    * @param companyId
    * @return
    */
   ResponseResult deleteCompany(Integer companyId);

   ResponseResult getCompanyIndexConfig(LoginAdminDTO loginAdminDTO);

   ResponseResult setCompanyIndexConfig(String indexConfig, LoginAdminDTO loginAdminDTO);

}
